summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGuillem Jover <guillem@debian.org>2008-12-20 07:36:08 +0000
committerGuillem Jover <guillem@hadrons.org>2010-06-10 23:21:23 +0200
commitabca3e7d03be92c54da52456ab7ed2006c967aaf (patch)
tree6315a369f38ce10dfe00bd80eea0252bbeeed42c
parentcebf8a235179f6eada27b0916001371d9b61ae1c (diff)
downloadinetutils-abca3e7d03be92c54da52456ab7ed2006c967aaf.tar.gz
Create a new /etc/inetd.conf on install if there was none
Template file stolen from openbsd-inetd.
-rw-r--r--debian/changelog2
-rw-r--r--debian/inetutils-inetd.preinst60
2 files changed, 62 insertions, 0 deletions
diff --git a/debian/changelog b/debian/changelog
index f02bf2a..9d97bf9 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -10,6 +10,8 @@ inetutils (2:1.5.dfsg.1-9) UNRELEASED; urgency=low
* Call 'set -e' in maintainer scripts to guarantee a correct exit status.
* Do not fail to start inetutils-inetd when there are services enabled in
files under /etc/inetd.d/. (Closes: #500729)
+ * Create a new /etc/inetd.conf on install if there was none. Template file
+ stolen from openbsd-inetd.
-- Guillem Jover <guillem@debian.org> Thu, 18 Dec 2008 07:51:43 +0200
diff --git a/debian/inetutils-inetd.preinst b/debian/inetutils-inetd.preinst
new file mode 100644
index 0000000..38b6c22
--- /dev/null
+++ b/debian/inetutils-inetd.preinst
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+set -e
+
+create_inetd_conf()
+{
+ [ -e /etc/inetd.conf ] && return 0
+
+ cat <<EOF > /etc/inetd.conf
+# /etc/inetd.conf: see inetd(8) for further informations.
+#
+# Internet superserver configuration database
+#
+#
+# Lines starting with "#:LABEL:" or "#<off>#" should not
+# be changed unless you know what you are doing!
+#
+# If you want to disable an entry so it isn't touched during
+# package updates just comment it out with a single '#' character.
+#
+# Packages should modify this file by using update-inetd(8)
+#
+# <service_name> <sock_type> <proto> <flags> <user> <server_path> <args>
+#
+#:INTERNAL: Internal services
+#discard stream tcp nowait root internal
+#discard dgram udp wait root internal
+#daytime stream tcp nowait root internal
+#time stream tcp nowait root internal
+
+#:STANDARD: These are standard services.
+
+#:BSD: Shell, login, exec and talk are BSD protocols.
+
+#:MAIL: Mail, news and uucp services.
+
+#:INFO: Info services
+
+#:BOOT: TFTP service is provided primarily for booting. Most sites
+# run this only on machines acting as "boot servers."
+
+#:RPC: RPC based services
+
+#:HAM-RADIO: amateur-radio services
+
+#:OTHER: Other services
+
+EOF
+
+ chmod 644 /etc/inetd.conf
+}
+
+case "$1" in
+install)
+ create_inetd_conf
+ ;;
+esac
+
+#DEBHELPER#
+